SessionFactoryImpl.StatelessSessionBuilderImpl (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.internal
Class SessionFactoryImpl.StatelessSessionBuilderImpl

    java.lang.Object
      org.hibernate.internal.SessionFactoryImpl.StatelessSessionBuilderImpl

All Implemented Interfaces:
  StatelessSessionBuilder

Enclosing class:
  SessionFactoryImpl

    public static class SessionFactoryImpl.StatelessSessionBuilderImpl

extends Object
implements StatelessSessionBuilder

Constructor Summary
`SessionFactoryImpl.StatelessSessionBuilderImpl(SessionFactoryImpl sessionFactory)`

Method Summary
`StatelessSessionBuilder` | `connection(Connection connection)` Adds a specific connection to the session options
`StatelessSession` | `openStatelessSession()` Opens a session with the specified options.
`StatelessSessionBuilder` | `tenantIdentifier(String tenantIdentifier)` Define the tenant identifier to be associated with the opened session.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SessionFactoryImpl.StatelessSessionBuilderImpl

    public SessionFactoryImpl.StatelessSessionBuilderImpl(SessionFactoryImpl sessionFactory)

Method Detail

### openStatelessSession

    public StatelessSession openStatelessSession()

  Description copied from interface: `StatelessSessionBuilder`
  Opens a session with the specified options.

  Specified by:
    `openStatelessSession` in interface `StatelessSessionBuilder`
  Returns:
    The session

### connection

    public StatelessSessionBuilder connection(Connection connection)

  Description copied from interface: `StatelessSessionBuilder`
  Adds a specific connection to the session options

  Specified by:
    `connection` in interface `StatelessSessionBuilder`
  Parameters:
    `connection` - The connection to use.
  Returns:
    `this`, for method chaining

### tenantIdentifier

    public StatelessSessionBuilder tenantIdentifier(String tenantIdentifier)

  Description copied from interface: `StatelessSessionBuilder`
  Define the tenant identifier to be associated with the opened session.

  Specified by:
    `tenantIdentifier` in interface `StatelessSessionBuilder`
  Parameters:
    `tenantIdentifier` - The tenant identifier.
  Returns:
    `this`, for method chaining

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.